RKGETSTAT(3)

NAME
RkGetStat - get analysis information about the current candidate

SYNOPSIS
#include <canna/RK.h>
int RkGetStat(cxnum, stat)
int cxnum;
Rkstat *stat;

DESCRIPTION
RkGetStat gets analysis information about the current candidate. The fields of the structure stat are loaded with the following:

    bunnum
        Current clause number

    candnum
        Current candidate number

    maxcand
        Number of candidates for the current clause

    diccand
        maxcand less the mode specification of RkBgnBun(3)

    ylen
        Byte length of the reading of the current candidate

    klen
        Byte length of the kanji of the current candidate

    tlen
        Number of words making up the current candidate

RETURN VALUE
This function returns 0, or returns -1, without doing anything, if it has been run in a nonconversion mode context.